// swift-tools-version: 5.6

import PackageDescription

let package = Package(
    name: "PushMessageDefinitions",
    platforms: [
       .macOS(.v12),
       .iOS(.v15)
    ],
    products: [
        .library(
            name: "PushMessageDefinitions",
            targets: ["PushMessageDefinitions"]),
    ],
    dependencies: [
        .package(url: "https://github.com/swift-server-community/APNSwift.git", from: "5.0.0-alpha.4"),
        .package(url: "https://github.com/christophhagen/BinaryCodable.git", from: "1.0.0"),
    ],
    targets: [
        .target(
            name: "PushMessageDefinitions",
            dependencies: [
                .product(name: "APNSwift", package: "APNSwift"),
                .product(name: "BinaryCodable", package: "BinaryCodable"),
            ])
    ]
)
